.map-block[data-v-941d3e87] {
    color: #222
}

.map-block__wrapper[data-v-941d3e87] {
    overflow: visible;
    padding-top: 3.875em;
    pointer-events: none;
    position: relative;
    z-index: 2
}

@media (max-width:1023.98px) {
    .map-block__wrapper[data-v-941d3e87] {
        padding-top: 2em
    }
}

.map-block__title[data-v-941d3e87] {
    display: flex;
    flex-direction: column;
    gap: 1em;
    padding: 3.875em 5.125em 3em;
    pointer-events: none
}

@media (max-width:1023.98px) {
    .map-block__title[data-v-941d3e87] {
        padding: 3.875em 1em 3em
    }
}

.map-block__close[data-v-941d3e87] {
    background: transparent;
    border: none;
    box-shadow: transparent;
    display: none;
    height: 2em;
    position: absolute;
    right: 1em;
    top: 1em;
    width: 2em
}

@media (max-width:1023.98px) {
    .map-block__close[data-v-941d3e87] {
        display: block
    }
}

.map-block__popup-container[data-v-941d3e87] {
    height: 100%;
    position: absolute;
    right: 0;
    width: 28.125em;
    z-index: 2
}

@media (max-width:1023.98px) {
    .map-block__popup-container[data-v-941d3e87] {
        height: 100%;
        left: 0;
        position: fixed;
        top: 0;
        width: 100%;
        z-index: 1000
    }
}

.map-block__overlay-mobile[data-v-941d3e87] {
    display: none
}

@media (max-width:1023.98px) {
    .map-block__overlay-mobile[data-v-941d3e87] {
        background-color: #00000080;
        display: block;
        height: 100%;
        left: 0;
        position: absolute;
        top: 0;
        width: 100%;
        z-index: 1
    }
}

.map-block__card[data-v-941d3e87] {
    height: 100%;
    position: absolute;
    right: 0;
    top: 0;
    z-index: 2
}

@media (max-width:1023.98px) {
    .map-block__card[data-v-941d3e87] {
        bottom: 0;
        height: auto;
        left: 0;
        padding-bottom: .625em;
        position: fixed;
        right: 0;
        top: unset;
        width: 100%;
        z-index: 2
    }
}

.map-block__container[data-v-941d3e87] {
    height: 40.375em;
    position: relative;
    width: 100%
}

@media (max-width:1023.98px) {
    .map-block__container[data-v-941d3e87] {
        height: 80svh
    }
}

.map-block__map[data-v-941d3e87],
.map-block__overlay[data-v-941d3e87] {
    height: 100%;
    left: 0;
    position: absolute;
    top: 0;
    width: 100%
}

.map-block__overlay[data-v-941d3e87] {
    align-items: center;
    background: #ffffff4d;
    cursor: pointer;
    display: flex;
    justify-content: center;
    opacity: 0
}

@media (max-width:1023.98px) {
    .map-block__overlay[data-v-941d3e87] {
        opacity: 1
    }
}

.map-block__overlay[data-v-941d3e87]:hover {
    opacity: 1
}

.map-block__controls[data-v-941d3e87] {
    bottom: 4em;
    display: flex;
    flex-direction: column;
    gap: 1em;
    position: absolute;
    right: 5.75em;
    z-index: 2
}

@media (max-width:1023.98px) {
    .map-block__controls[data-v-941d3e87] {
        bottom: 2em;
        right: 2em
    }
}

@media (max-width:767.98px) {
    .map-block__controls[data-v-941d3e87] {
        bottom: 2em;
        right: 1em
    }
}

.map-block__zoom[data-v-941d3e87] {
    background-color: #fff;
    border: none;
    border-radius: 50%;
    display: block;
    filter: invert(1);
    height: 2.5em;
    outline: none;
    position: relative;
    width: 2.5em
}

.map-block__zoom[data-v-941d3e87]:before {
    height: 2px;
    left: .625em;
    margin-top: -1px;
    top: 50%;
    width: 1.25em
}

.map-block__zoom--plus[data-v-941d3e87]:after,
.map-block__zoom[data-v-941d3e87]:before {
    background: #222;
    border-radius: 50%;
    content: "";
    position: absolute
}

.map-block__zoom--plus[data-v-941d3e87]:after {
    height: 1.25em;
    left: 50%;
    margin-left: -1px;
    top: .625em;
    width: 2px
}